## opsi-tftp-hpa 5.2.8-78

=== Makefile ===
# You can do "make SUB=blah" to make only a few, or edit here, or both
# You can also run make directly in the subdirs you want.

SUB =   lib common tftp tftpd

%.build: MCONFIG aconfig.h version.h
	$(MAKE) -C $(patsubst %.build, %, $@)

%.install: MCONFIG aconfig.h version.h
	$(MAKE) -C $(patsubst %.install, %, $@) install

%.clean:
	$(MAKE) -C $(patsubst %.clean, %, $@) clean

%.distclean:
	$(MAKE) -C $(patsubst %.distclean, %, $@) distclean

all:      MCONFIG $(patsubst %, %.build, $(SUB))

tftp.build: lib.build common.build
tftpd.build: lib.build common.build

install:  MCONFIG $(patsubst %, %.install, $(SUB))

clean:	localclean $(patsubst %, %.clean, $(SUB))

localclean:
	rm -f version.h

distclean: localdistclean $(patsubst %, %.distclean, $(SUB))

localdistclean: localclean
	rm -f MCONFIG config.status config.log aconfig.h *~ \#*
	rm -rf *.cache
	find . -type f \( -name \*.orig -o -name \*.rej \) | xargs rm -f

spotless: distclean
	#rm -f configure aconfig.h.in tftp.spec

autoconf: configure aconfig.h.in

config:	MCONFIG aconfig.h

release:
	$(MAKE) autoconf
	$(MAKE) tftp.spec
	$(MAKE) distclean

MCONFIG: configure MCONFIG.in aconfig.h.in
	if test -x config.status; then \
		./config.status --recheck && ./config.status ; \
	else \
		./configure ; \
	fi

aconfig.h: MCONFIG
	: Generated by side effect

# Adding "configure" to the dependencies serializes this with running
# autoconf, because there are apparently race conditions between
# autoconf and autoheader.
aconfig.h.in: configure.in configure aclocal.m4
	rm -f aconfig.h.in aconfig.h
	autoheader

configure: configure.in aclocal.m4
	rm -rf MCONFIG configure config.log aconfig.h *.cache
	autoconf

version.h: version
	echo \#define VERSION \"tftp-hpa `cat version`\" > version.h

tftp.spec: tftp.spec.in version
	sed -e "s/@@VERSION@@/`cat version`/g" < $< > $@ || rm -f $@

## opsi-tftp-hpa 5.2.8-76

=== debian/changelog ===
opsi-tftp-hpa (5.2.8-76) testing; urgency=medium

  * debian/rules: reverted changes

 -- Mathias Radtke <m.radtke@uib.de>  Thu, 15 Jul 2021 14:11:00 +0100

opsi-tftp-hpa (5.2.8-75) testing; urgency=medium

  * tftp/tftp.c: made sigjmp_buf toplevel extern

 -- Mathias Radtke <m.radtke@uib.de>  Thu, 15 Jul 2021 13:53:00 +0100

opsi-tftp-hpa (5.2.8-74) testing; urgency=medium

  * debian/rules: make tftpd.build is used

 -- Mathias Radtke <m.radtke@uib.de>  Thu, 15 Jul 2021 13:23:00 +0100

opsi-tftp-hpa (5.2.8-73) testing; urgency=medium

  * sdebian/rules: no more tftp builds

 -- Mathias Radtke <m.radtke@uib.de>  Thu, 15 Jul 2021 12:30:00 +0100

opsi-tftp-hpa (5.2.8-72) testing; urgency=medium

  * spec: removed tftpboot directory from dirs

 -- Mathias Radtke <m.radtke@uib.de>  Mon, 15 Feb 2021 15:09:29 +0100

opsi-tftp-hpa (5.2.8-71) testing; urgency=medium

  * version bump to match RPM packaging version
  * not using xinetd in RPM distros

 -- Mathias Radtke <m.radtke@uib.de>  Mon, 15 Feb 2021 13:23:46 +0100

opsi-tftp-hpa (5.2.8-57) testing; urgency=medium

  * spec: removed some is_opensuse conditionals

 -- Mathias Radtke <m.radtke@uib.de>  Thu, 04 Feb 2021 12:42:03 +0100

opsi-tftp-hpa (5.2.8-56) testing; urgency=medium

  * spec: only using inetd on RHEL/CENTOS and OpenSUSE

 -- Mathias Radtke <m.radtke@uib.de>  Tue, 15 Dec 2020 12:17:01 +0100

opsi-tftp-hpa (5.2.8-55) testing; urgency=medium

  * added xinetd again

 -- Mathias Radtke <m.radtke@uib.de>  Tue, 08 Dec 2020 14:55:23 +0100

opsi-tftp-hpa (5.2.8-54) stable; urgency=medium

  * removed xinetd references

 -- Mathias Radtke <m.radtke@uib.de>  Mon, 16 Nov 2020 15:19:03 +0100

opsi-tftp-hpa (5.2.8-53) stable; urgency=medium

  * Set default blocksize to 1024

 -- Jan Schneider <j.schneider@uib.de>  Thu, 05 Nov 2020 15:51:18 +0100

opsi-tftp-hpa (5.2.8-52) stable; urgency=medium

  * removing tcp_wrapper-devel from spec file

 -- Erol Ueluekmen <e.ueluekmen@uib.de>  Wed, 05 Feb 2020 22:22:37 +0100

opsi-tftp-hpa (5.2.8-51) testing; urgency=medium

  * corrected RPM licensing

 -- Mathias Radtke <m.radtke@uib.de>  Fri, 30 Aug 2019 08:23:27 +0200

opsi-tftp-hpa (5.2.8-50) testing; urgency=medium

  * removed change of TFTPROOT when on UCS system

 -- Mathias Radtke <m.radtke@uib.de>  Tue, 06 Aug 2019 07:44:20 +0200

opsi-tftp-hpa (5.2.8-49) experimental; urgency=medium

  * service-file: using --ipv4 option to only serve IPv4 addesses

 -- Mathias Radtke <m.radtke@uib.de>  Tue, 26 Jun 2018 13:22:11 +0200

opsi-tftp-hpa (5.2.8-48) experimental; urgency=medium

  * redirecting output of 'which ucr'* 

 -- Mathias Radtke <m.radtke@uib.de>  Tue, 26 Jun 2018 13:21:47 +0200

opsi-tftp-hpa (5.2.8-47) stable; urgency=medium

  * .deb config: Fix bug when checking for installed version that could
    lead to an syntax error on an IPv4-only configuration.

 -- Niko Wenselowski <n.wenselowski@uib.de>  Mon, 29 Jan 2018 16:09:01 +0100

opsi-tftp-hpa (5.2.8-46) experimental; urgency=medium

  * corrected install/update handling in RPM

 -- Mathias Radtke <m.radtke@uib.de>  Tue, 16 Jan 2018 15:31:26 +0100

opsi-tftp-hpa (5.2.8-45) experimental; urgency=medium

  * spec: corrected systemctl handling

 -- Mathias Radtke <m.radtke@uib.de>  Fri, 15 Dec 2017 15:42:00 +0100

opsi-tftp-hpa (5.2.8-44) experimental; urgency=medium

  * UCS patching service file

 -- Mathias Radtke <m.radtke@uib.de>  Tue, 07 Nov 2017 12:05:25 +0100

opsi-tftp-hpa (5.2.8-43) experimental; urgency=medium

  * debian/postinst: added if condition to check UCS system

 -- Mathias Radtke <m.radtke@uib.de>  Tue, 07 Nov 2017 10:56:59 +0100

opsi-tftp-hpa (5.2.8-42) experimental; urgency=medium

  * patching with string, instead if variable

 -- Mathias Radtke <m.radtke@uib.de>  Fri, 13 Oct 2017 11:59:17 +0200

opsi-tftp-hpa (5.2.8-41) experimental; urgency=medium

  * tftpboot -> opsitftpboot

 -- Mathias Radtke <m.radtke@uib.de>  Fri, 13 Oct 2017 11:34:29 +0200

opsi-tftp-hpa (5.2.8-40) experimental; urgency=medium

  * can be sles or opensuse

 -- Mathias Radtke <m.radtke@uib.de>  Fri, 13 Oct 2017 10:46:03 +0200

opsi-tftp-hpa (5.2.8-39) experimental; urgency=medium

  * corrected openSUSE service file patching

 -- Mathias Radtke <m.radtke@uib.de>  Fri, 13 Oct 2017 10:45:43 +0200

opsi-tftp-hpa (5.2.8-38) experimental; urgency=medium

  * added unit file to %files server

 -- Mathias Radtke <m.radtke@uib.de>  Wed, 28 Jun 2017 11:39:48 +0200

opsi-tftp-hpa (5.2.8-37) experimental; urgency=medium

  * spec:added macros for propert installation

 -- Mathias Radtke <m.radtke@uib.de>  Wed, 28 Jun 2017 11:17:55 +0200

opsi-tftp-hpa (5.2.8-36) experimental; urgency=medium

  * spec: server from install command

 -- Mathias Radtke <m.radtke@uib.de>  Wed, 28 Jun 2017 10:32:25 +0200

opsi-tftp-hpa (5.2.8-35) experimental; urgency=medium

  * spec: changes to service file handling

 -- Mathias Radtke <m.radtke@uib.de>  Wed, 28 Jun 2017 10:16:38 +0200

opsi-tftp-hpa (5.2.8-34) experimental; urgency=medium

  * spec: removed clean for debugging
  * debian/postinst: corrected servcie start behaviour

 -- Mathias Radtke <m.radtke@uib.de>  Wed, 28 Jun 2017 09:30:20 +0200

opsi-tftp-hpa (5.2.8-33) experimental; urgency=medium

  * debian/postinst: added debug message

 -- Mathias Radtke <m.radtke@uib.de>  Tue, 27 Jun 2017 14:31:29 +0200

opsi-tftp-hpa (5.2.8-32) experimental; urgency=medium

  * debian/postinst: fixed typo
  * rpm/opsi-tftpd-hpa.spec:

 -- Mathias Radtke <m.radtke@uib.de>  Tue, 27 Jun 2017 10:33:43 +0200

opsi-tftp-hpa (5.2.8-31) experimental; urgency=medium

  * more changes to support rpm

 -- Mathias Radtke <m.radtke@uib.de>  Mon, 26 Jun 2017 15:53:11 +0200

opsi-tftp-hpa (5.2.8-30) experimental; urgency=medium

  * fixed typo

 -- Mathias Radtke <m.radtke@uib.de>  Mon, 26 Jun 2017 15:52:51 +0200

opsi-tftp-hpa (5.2.8-29) experimental; urgency=medium

  * added missing %

 -- Mathias Radtke <m.radtke@uib.de>  Mon, 26 Jun 2017 15:27:35 +0200



=== debian/control ===
Source: opsi-tftp-hpa
Section: net
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Ron Lee <ron@debian.org>
Build-Depends: debhelper (>= 9), autoconf, autotools-dev, libwrap0-dev, po-debconf, dh-systemd (>= 1.5)
Standards-Version: 3.9.6.1
Homepage: http://git.kernel.org/cgit/network/tftp/tftp-hpa.git
Vcs-Browser: http://git.debian.org/?p=users/ron/tftp-hpa.git
Vcs-Git: git://git.debian.org/users/ron/tftp-hpa.git

Package: opsi-tftp-hpa
Architecture: linux-any kfreebsd-any
Depends: ${shlibs:Depends}
Conflicts: tftp
Description: HPA's tftp client
 Trivial File Transfer Protocol (TFTP) is a file transfer protocol, mainly to
 serve boot images over the network to other machines (PXE).
 .
 tftp-hpa is an enhanced version of the BSD TFTP client and server. It
 possesses a number of bugfixes and enhancements over the original.
 .
 This package contains the client.

Package: opsi-tftp-hpa-dbg
Section: debug
Priority: extra
Architecture: linux-any kfreebsd-any
Depends: opsi-tftp-hpa (= ${binary:Version}), opsi-tftpd-hpa (= ${binary:Version})
Description: HPA's tftp (debug)
 Trivial File Transfer Protocol (TFTP) is a file transfer protocol, mainly to
 serve boot images over the network to other machines (PXE).
 .
 tftp-hpa is an enhanced version of the BSD TFTP client and server. It
 possesses a number of bugfixes and enhancements over the original.
 .
 This package contains the debugging symbols for both the client and the server.

Package: opsi-tftpd-hpa
Architecture: linux-any kfreebsd-any
Depends: ${shlibs:Depends}, adduser, ${misc:Depends}, systemd
Provides: opsi-tftpd
Conflicts: tftp-server, tftpd, atftpd, opsi-atftpd, opsi-tftpd
Replaces: tftp-server, tftpd, atftpd, opsi-atftpd, opsi-tftpd
Suggests: opsi-linux-bootimage
Description: HPA's tftp server
 Trivial File Transfer Protocol (TFTP) is a file transfer protocol, mainly to
 serve boot images over the network to other machines (PXE).
 .
 tftp-hpa is an enhanced version of the BSD TFTP client and server. It
 possesses a number of bugfixes and enhancements over the original.
 .
 This package contains the server.

## opsi-tftp-hpa 5.2.8-78

=== debian/changelog ===
opsi-tftp-hpa (5.2.8-78) testing; urgency=low

  * spec: added autoconf as RHEL/Rocky/Alma build dependency

 -- Mathias Radtke <m.radtke@uib.de> Mon, 30 May 2022 10:55:00 +0200

opsi-tftp-hpa (5.2.8-77) testing; urgency=low

  * debian/rules: removed dh-systemd dependency for Ubuntu 22.04 support

 -- Mathias Radtke <m.radtke@uib.de> Thu, 17 Mar 2022 14:55:00 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: extra
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Ron Lee <ron@debian.org>
-Build-Depends: debhelper (>= 9), autoconf, autotools-dev, libwrap0-dev, po-debconf, dh-systemd (>= 1.5)
+Build-Depends: debhelper (>= 9), autoconf, autotools-dev, libwrap0-dev, po-debconf
 Standards-Version: 3.9.6.1
 Homepage: http://git.kernel.org/cgit/network/tftp/tftp-hpa.git
 Vcs-Browser: http://git.debian.org/?p=users/ron/tftp-hpa.git

=== debian/rules ===
#!/usr/bin/make -f
#
# Copyright 2003 - 2014 Ron Lee.

SHELL = /bin/bash

export DH_OPTIONS

NUM_CPUS = $(shell getconf _NPROCESSORS_ONLN 2>/dev/null)
PARALLEL = $(subst parallel=,,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
NJOBS    = -j$(or $(PARALLEL),$(NUM_CPUS),1)

DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

clean:
	dh_testdir
	$(MAKE) spotless
	$(RM) *-stamp
	dh_clean
	debconf-updatepo


configure: configure.in aclocal.m4
	dh_testdir
	$(MAKE) autoconf

config.status: configure
	dh_testdir
	./configure --host=$(DEB_HOST_GNU_TYPE)   \
		    --build=$(DEB_BUILD_GNU_TYPE) \
		    --prefix=/usr                 \
		    --without-readline


build: build-arch
build-arch: build-arch-stamp
build-indep:

build-arch-stamp: config.status
	dh_testdir
	$(MAKE) $(NJOBS) all
	touch $@


install: install-arch
install-arch: build-arch install-arch-stamp
install-indep:

install-arch-stamp: build-arch-stamp
	dh_testdir
	dh_testroot
	dh_prep
	$(MAKE) install INSTALLROOT=$(CURDIR)/debian/tmp
	dh_install
	dh_installinit
	dh_installexamples
	touch $@


binary: binary-arch
binary-indep:

binary-arch: install-arch
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
	dh_installdebconf
	dh_strip --dbg-package=opsi-tftp-hpa-dbg
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb


.PHONY: clean build build-arch build-indep \
	install install-arch install-indep \
	binary binary-arch binary-indep

## opsi-tftp-hpa 5.2.8-80

=== debian/changelog ===
opsi-tftp-hpa (5.2.8-80) testing; urgency=low

  * debian: relying on dh_install

 -- Mathias Radtke <m.radtke@uib.de> Tue, 16 Apr 2042 12:55:00 +0200

opsi-tftp-hpa (5.2.8-79) testing; urgency=low

  * debian: corrected service file location

 -- Mathias Radtke <m.radtke@uib.de> Tue, 16 Apr 2042 08:55:00 +0200

## opsi-tftp-hpa 5.2.9-4

=== debian/changelog ===
opsi-tftp-hpa (5.2.9-4) testing; urgency=low

  * spec fix

 -- Fabian Kalweit <m.radtke@uib.de>  Thu, 31 Apr 2025 17:00:00 +0200

opsi-tftp-hpa (5.2.9-3) testing; urgency=low

  * adding --ipv4 to service file on rpm systems with ipv6 disabled

 -- Mathias Radtke <m.radtke@uib.de>  Mon, 07 Apr 2025 14:20:00 +0200

opsi-tftp-hpa (5.2.9-2) testing; urgency=low

  * removed --ipv4 argument

 -- Mathias Radtke <m.radtke@uib.de>  Mon, 07 Apr 2025 10:20:00 +0200

opsi-tftp-hpa (5.2.9-1) testing; urgency=low

  * using updated code base

 -- Mathias Radtke <m.radtke@uib.de>  Wed, 05 Feb 2025 10:22:00 +0200
